Description

Anytime I leave the page up 'Status-->Traffic Graph' on my Mac 10.9.5 Safari 7.1 browser, eventually the whole page will just freeze

up. It works fine and does the refresh updates until some amount of time passes. I'm not sure how much time passes, but if I leave it

there for a few hours, and come back to the tab in Safari where it was left, it will be frozen. Links are all dead. I have to either close

the tab or just enter the pfsense main address again and then go back to the Traffic Graph. The same problem does not happen in

the Dashboard with the traffic graph widget updating there.

History

#1 - 09/26/2014 06:17 PM - carl paulino

my pfsense is:

2.1.5-RELEASE (i386)

built on Mon Aug 25 07:44:26 EDT 2014

FreeBSD 8.3-RELEASE-p16

You are on the latest version.

#2 - 10/16/2014 01:09 PM - Dammon Butler

Just thought I'd add:

There is also a similar issue on "Status: Traffic shaper: Queues". If left in a browser for some time the updates cease until the page is reloaded, and

once the page is reloaded, completely impossible bandwith values are shown for a minute or two (i.e. more than the physical link could accomodate),

possibly implying that all the traffic that passed during the 'frozen' period is calculated as one lump sample throwing the average off for some time.

I've also seen one of these impossible values (5Mb bandwidth use on a 1Mb link) sneak into the queue RRD graphs hence why I'm mentioning this as

it makes me worry if this is a deeper issue than purely cosmetic/ui.

same version here:

2.1.5-RELEASE (i386)

built on Mon Aug 25 07:44:26 EDT 2014

FreeBSD 8.3-RELEASE-p16

You are on the latest version.

#3 - 10/16/2014 01:10 PM - Dammon Butler

p.s. the browser in my case was Firefox 33.0 on intel windows-7

#4 - 10/21/2014 01:56 AM - Chris Buechler

- Status changed from New to Feedback

I've left multiple browsers up on traffic graph for several hours up to days, with no ill effects. I just pulled up that page on Safari on OS X for the first

time and am leaving it up in the background.

From the sounds of it, this is probably a Safari SVG bug of some sort, as nothing should freeze up an entire page the way described. And nothing

about that page makes it stop functioning in general.

The shaper queues are much different from the traffic graph page, that's definitely something completely separate.

Will leave this to feedback for now, revisit after my Safari's been sitting here a while.

#5 - 10/23/2014 09:16 AM - carl paulino
After upgrading my Mac to Yosemite 10.10 and Safari to 8.0, I don't have this problem anymore. I do see the page freeze up for a while after it's been

sitting there (maybe after the Mac hibernates/sleeps and comes back up), but after several seconds it comes back to life.

#6 - 10/24/2014 11:55 PM - Chris Buechler

- Status changed from Feedback to Closed

I never could replicate that. The described behavior is the browser not responding, and nothing we do should make the browser hang. My best guess

is it was a SVG issue in Safari.
